Regenerate from configure.in 1.231 using autoconf 2.59.
authornbk <nbk>
Sat, 15 Jul 2006 16:39:49 +0000 (16:39 +0000)
committernbk <nbk>
Sat, 15 Jul 2006 16:39:49 +0000 (16:39 +0000)
configure

index 258b8ad..613c3a8 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.229 .
+# From configure.in Revision: 1.231 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.59.
 #
@@ -465,7 +465,7 @@ ac_includes_default="\
 #endif"
 
 ac_subdirs_all="$ac_subdirs_all $mysubdirs"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP EGREP RANLIB ac_ct_RANLIB GMAKE MAKE LIBLTDLPATH LIBTOOL build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 logdir radacctdir raddbdir PERL SNMPGET SNMPWALK RUSERS ACLOCAL AUTOCONF AUTOHEADER LOCATE DIRNAME GREP REGEX REGEX_EXTENDED OPENSSL_INCLUDE OPENSSL_LIBS PCAP_LIBS LIBPREFIX CRYPTLIB SNMP_LIBS SNMP_INCLUDE HOSTINFO LIBLTDL INCLTDL subdirs MODULES INSTALLSTRIP USE_SHARED_LIBS USE_STATIC_LIBS STATIC_MODULES RADIUSD_MAJOR_VERSION RADIUSD_MINOR_VERSION RADIUSD_VERSION LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP EGREP RANLIB ac_ct_RANLIB GMAKE MAKE LIBLTDLPATH LIBTOOL build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR STRIP ac_ct_STRIP CXXCPP F77 FFLAGS ac_ct_F77 docdir logdir radacctdir raddbdir PERL SNMPGET SNMPWALK RUSERS ACLOCAL AUTOCONF AUTOHEADER LOCATE DIRNAME GREP REGEX REGEX_EXTENDED OPENSSL_INCLUDE OPENSSL_LIBS PCAP_LIBS LIBPREFIX CRYPTLIB SNMP_LIBS SNMP_INCLUDE HOSTINFO LIBLTDL INCLTDL subdirs MODULES INSTALLSTRIP USE_SHARED_LIBS USE_STATIC_LIBS STATIC_MODULES RADIUSD_MAJOR_VERSION RADIUSD_MINOR_VERSION RADIUSD_VERSION LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -1040,13 +1040,15 @@ Optional Packages:
                           both]
   --with-tags[=TAGS]
                           include additional configurations [automatic]
+  --with-docdir=DIR       Directory for documentation DATADIR/doc/freeradius
   --with-logdir=DIR       Directory for logfiles LOCALSTATEDIR/log/radius
-  --with-radacctdir=PATH  Directory for detail files LOGDIR/radacct
+  --with-radacctdir=DIR   Directory for detail files LOGDIR/radacct
   --with-raddbdir=DIR     Directory for config files SYSCONFDIR/raddb
   --with-ascend-binary    Include support for Ascend binary filter attributes (default=yes)
   --with-threads          Use threads, if available.  (default=yes)
   --with-snmp             Compile in SNMP support. (default=yes)
   --with-static-modules=QUOTED-MODULE-LIST
+ --with-modules=QUOTED-MODULE-LIST
   --with-experimental-modules      Use experimental and unstable modules. (default=no)
   --with-openssl-includes=DIR      Directory to look for OpenSSL include files
   --with-openssl-libraries=DIR     Directory to look for OpenSSL library files
@@ -4640,7 +4642,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 4643 "configure"' > conftest.$ac_ext
+  echo '#line 4645 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -5509,7 +5511,7 @@ fi
 
 
 # Provide some information about the compiler.
-echo "$as_me:5512:" \
+echo "$as_me:5514:" \
      "checking for Fortran 77 compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
 { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -6541,11 +6543,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6544: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6546: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6548: \$? = $ac_status" >&5
+   echo "$as_me:6550: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6774,11 +6776,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6777: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6779: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6781: \$? = $ac_status" >&5
+   echo "$as_me:6783: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -6834,11 +6836,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6837: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6839: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6841: \$? = $ac_status" >&5
+   echo "$as_me:6843: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -9022,7 +9024,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9025 "configure"
+#line 9027 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -9120,7 +9122,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 9123 "configure"
+#line 9125 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11297,11 +11299,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11300: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11302: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11304: \$? = $ac_status" >&5
+   echo "$as_me:11306: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -11357,11 +11359,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11360: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11362: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11364: \$? = $ac_status" >&5
+   echo "$as_me:11366: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12726,7 +12728,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12729 "configure"
+#line 12731 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -12824,7 +12826,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 12827 "configure"
+#line 12829 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -13651,11 +13653,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13654: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13656: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:13658: \$? = $ac_status" >&5
+   echo "$as_me:13660: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -13711,11 +13713,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13714: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13716: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13718: \$? = $ac_status" >&5
+   echo "$as_me:13720: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -15756,11 +15758,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15759: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15761: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15763: \$? = $ac_status" >&5
+   echo "$as_me:15765: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -15989,11 +15991,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:15992: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:15994: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:15996: \$? = $ac_status" >&5
+   echo "$as_me:15998: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -16049,11 +16051,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16052: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16054: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16056: \$? = $ac_status" >&5
+   echo "$as_me:16058: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18237,7 +18239,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18240 "configure"
+#line 18242 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18335,7 +18337,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18338 "configure"
+#line 18340 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19411,6 +19413,36 @@ if test "${enable_strict_dependencies+set}" = set; then
 
 fi;
 
+docdir='${datadir}/doc/freeradius'
+echo "$as_me:$LINENO: checking docdir" >&5
+echo $ECHO_N "checking docdir... $ECHO_C" >&6
+
+# Check whether --with-docdir or --without-docdir was given.
+if test "${with_docdir+set}" = set; then
+  withval="$with_docdir"
+   case "$withval" in
+    no)
+       { { echo "$as_me:$LINENO: error: Need docdir" >&5
+echo "$as_me: error: Need docdir" >&2;}
+   { (exit 1); exit 1; }; }
+       ;;
+    yes)
+       ;;
+    [\\/$]* | ?:[\\/]* )
+       docdir="$withval"
+       ;;
+    *)
+       { { echo "$as_me:$LINENO: error: expected an absolute directory name for --with-docdir: $withval" >&5
+echo "$as_me: error: expected an absolute directory name for --with-docdir: $withval" >&2;}
+   { (exit 1); exit 1; }; }
+       ;;
+  esac
+
+fi;
+
+echo "$as_me:$LINENO: result: $docdir" >&5
+echo "${ECHO_T}$docdir" >&6
+
 logdir='${localstatedir}/log/radius'
 echo "$as_me:$LINENO: checking logdir" >&5
 echo $ECHO_N "checking logdir... $ECHO_C" >&6
@@ -19426,9 +19458,14 @@ echo "$as_me: error: Need logdir" >&2;}
        ;;
     yes)
        ;;
-    *)
+    [\\/$]* | ?:[\\/]* )
        logdir="$withval"
        ;;
+    *)
+       { { echo "$as_me:$LINENO: error: expected an absolute directory name for --with-logdir: $withval" >&5
+echo "$as_me: error: expected an absolute directory name for --with-logdir: $withval" >&2;}
+   { (exit 1); exit 1; }; }
+       ;;
   esac
 
 fi;
@@ -19451,9 +19488,14 @@ echo "$as_me: error: Need radacctdir" >&2;}
        ;;
     yes)
        ;;
-    *)
+    [\\/$]* | ?:[\\/]* )
        radacctdir="$withval"
        ;;
+    *)
+       { { echo "$as_me:$LINENO: error: expected an absolute directory name for --with-radacctdir: $withval" >&5
+echo "$as_me: error: expected an absolute directory name for --with-radacctdir: $withval" >&2;}
+   { (exit 1); exit 1; }; }
+       ;;
   esac
 
 fi;
@@ -19476,9 +19518,14 @@ echo "$as_me: error: Need raddbdir" >&2;}
        ;;
     yes)
        ;;
-    *)
+    [\\/$]* | ?:[\\/]* )
        raddbdir="$withval"
        ;;
+    *)
+       { { echo "$as_me:$LINENO: error: expected an absolute directory name for --with-raddbdir: $withval" >&5
+echo "$as_me: error: expected an absolute directory name for --with-raddbdir: $withval" >&2;}
+   { (exit 1); exit 1; }; }
+       ;;
   esac
 
 fi;
@@ -19548,6 +19595,18 @@ if test "${with_static_modules+set}" = set; then
 
 fi;
 
+MODULES=
+
+# Check whether --with-modules or --without-modules was given.
+if test "${with_modules+set}" = set; then
+  withval="$with_modules"
+
+ for i in $withval; do
+   MODULES="$MODULES $i"
+ done
+
+fi;
+
 # Check whether --enable-developer or --disable-developer was given.
 if test "${enable_developer+set}" = set; then
   enableval="$enable_developer"
@@ -25128,7 +25187,6 @@ else
   done
 fi
 
-MODULES=
 if test "x$EXPERIMENTAL" = "xyes"; then
   for foo in `ls -1 "${srcdir}"/src/modules | grep rlm_`; do
     MODULES="$MODULES $foo"
@@ -25836,6 +25894,7 @@ s,@CXXCPP@,$CXXCPP,;t t
 s,@F77@,$F77,;t t
 s,@FFLAGS@,$FFLAGS,;t t
 s,@ac_ct_F77@,$ac_ct_F77,;t t
+s,@docdir@,$docdir,;t t
 s,@logdir@,$logdir,;t t
 s,@radacctdir@,$radacctdir,;t t
 s,@raddbdir@,$raddbdir,;t t